Subject: Re: [ath9k-devel] ath9k_htc-based adapter unfunctioning after commit ceb26a6013

From: Andreas Philipp <[email-masked]>
Date: Mon, 12 Nov 2012 22:03:32 +0100

Hello,

I am experiencing exactly the same problem. I will try to revert the
commit in question tomorrow and report the result.

Thanks,
Andreas Philipp

On 11/12/2012 02:34 PM, Corey Richardson wrote:
> I was giving 3.7-rc4 a whirl when I discovered my wireless adapter [0] wasn't
> working: the LED didn't light up. Went and ran 'ip link' and it just hung there.
> Tried a few other things and discovered that sudo was broken too. With
> strace I found that they were hanging in sendto().
>
> If I then unplug the adapter, everything comes out of the hang.
>
> Bisected and found that commit ceb26a6013b962b82f644189ea29d802490fc8fc is
> to blame.
>
> Attached is my .config,. The complete dmesg is attached, as well as
> dmesg_disconnect which is what gets spat out on disconnect of the device.
> strace is an strace of 'ip link'.
>
> I feel like I haven't given enough information; anything else needed?
>
> (Please CC me in any reply to a list; I am not subscribed to them)
>
> [0] - http://support.netgear.com/product/WNA1100
>
> --
> Corey Richardson
>
>
> _______________________________________________
> ath9k-devel mailing list
> [email-masked]
> https://lists.ath9k.org/mailman/listinfo/ath9k-devel